configfile:
  - defaults/parameters.yaml
  - nextstrain_profiles/nextstrain/builds.yaml
  - nextstrain_profiles/nextstrain-scicore/scicore-config.yaml

keep-going: True
printshellcmds: True
stats: stats.json

# Wait a fixed number of seconds for missing files since the cluster file system
# can be quite slow and the workflow can fail unnecessarily due to this latency.
latency-wait: 60

# Cluster-specific settings for resources required by any rule. This file
# provides default resources for all rules and allows users to specify resources
# per rule by name. An important resource for the Hutch cluster is the requested
# "partition". Jobs submitted to the "restart" partition will start running
# almost immediately, but they may also be killed at any moment when someone
# else needs those resources. This is analogous to the spot resources on AWS.
cluster-config: nextstrain_profiles/nextstrain-scicore/cluster.json

cluster: "sbatch --time={cluster.time} --mem={cluster.mem} --cpus-per-task={cluster.n} --qos={cluster.qos}"

jobs: 128

jobscript: nextstrain_profiles/nextstrain-scicore/submit.sh

# Set the name for the job as display in the cluster queue.
jobname: "{rulename}.{jobid}.sh"

# Set the number of threads (cores, actually) that the tree rule or other rules
# should use on the cluster. These settings override the hardcoded values in the
# Snakemake rules.
set-threads: tree=16
